Customer Managed Keys Hybrid
- OpenAPI Version:
3.1.1 - API Version:
2
KeyBroker/KeyConnector
Servers
- URL:
https://{keyConnectorLb}/api/v2
Operations
Key connector archival API
- Method:
POST - Path:
/kms/cse/archival/datakey/decrypt - Tags: KeyConnector Archival API
Get the plain key by a key ID and encrypt context. See Zoom Customer Managed Key for details.
Rate Limit Label: MEDIUM
Not supported in Gov cluster
Request Body
Content-Type: application/json
-
encrypt_context(required)string— Encrypt context. -
key_id(required)string— Key ID
Example:
{
"key_id": "MyQkJCQkS09TS09UXzRTZXVXcWc4RGZmUVltZyQkJCQkMSM2ZDFjMmRhNGE5MTE0ZTlmODVjM2QyYzE1MTYxODFhZg==",
"encrypt_context": "1001###CSE:TeamChat###123456"
}
Responses
Status: 200 Return the data key.
Content-Type: application/json
-
key_id(required)string— Key ID -
plainkey(required)string— The plain key of a key pair, Base64 encoded.
Example:
{
"key_id": "MyQkJCQkS09TS09UXzRTZXVXcWc4RGZmUVltZyQkJCQkMSM2ZDFjMmRhNGE5MTE0ZTlmODVjM2QyYzE1MTYxODFhZg==",
"plainkey": "P940/r8CCar4cxEzIGfb3gAs5CHwEqWQZcB0SwR9Sbs="
}